curl --request PUT \
--url https://apiv2.example.com/subscribers/{subscriberId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"metadata": {}
}
'import requests
url = "https://apiv2.example.com/subscribers/{subscriberId}"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"metadata": {}
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', email: 'jsmith@example.com', metadata: {}})
};
fetch('https://apiv2.example.com/subscribers/{subscriberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscriberId": "<string>",
"name": "<string>",
"customer": {
"customerId": "<string>",
"name": "<string>"
},
"email": "jsmith@example.com",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"subscriptions": [
{
"subscriptionId": "<string>",
"type": "<string>",
"display": "<string>",
"msisdn": "<string>",
"customer": {
"customerId": "<string>",
"name": "<string>"
},
"sim": {
"esim": true,
"imei": "<string>",
"iccid": "<string>"
},
"activatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"referenceId": "crm-subscription-12345",
"productOffering": {
"productOfferingId": "<string>",
"name": "<string>",
"price": {
"currency": "USD",
"discount": 5,
"netPrice": 5,
"boundMonths": 12,
"billingCycle": {
"period": "MONTHLY",
"interval": 1
},
"currencyOptions": {}
},
"group": {
"productOfferingGroupId": "mobile-plans",
"name": "Mobile Plans",
"category": "PRODUCT_CATEGORY_SUBSCRIPTION_CELL",
"description": "Bundled cell subscriptions with unlimited calls and SMS with ILD enabled.",
"internalDescription": "Core mobile offerings targeting consumer and business segments"
},
"imageUrl": "https://cdn.example.com/images/mobile-basic.png"
},
"subscriber": {
"subscriberId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"address": {
"street1": "500 S Main St",
"city": "Natick",
"zip": "01701",
"country": "US",
"street2": "Apt 1",
"state": "CA",
"region": "<string>",
"attention": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"extensions": {},
"pendingMsisdn": {
"msisdn": "<string>",
"scheduledAt": "2023-12-25"
},
"pendingStatus": {
"scheduledAt": "2023-12-25"
},
"pendingProductOffering": {
"scheduledAt": "2023-12-25",
"product": {
"productOfferingId": "<string>",
"name": "<string>",
"price": {
"currency": "USD",
"discount": 5,
"netPrice": 5,
"boundMonths": 12,
"billingCycle": {
"period": "MONTHLY",
"interval": 1
},
"currencyOptions": {}
},
"group": {
"productOfferingGroupId": "mobile-plans",
"name": "Mobile Plans",
"category": "PRODUCT_CATEGORY_SUBSCRIPTION_CELL",
"description": "Bundled cell subscriptions with unlimited calls and SMS with ILD enabled.",
"internalDescription": "Core mobile offerings targeting consumer and business segments"
},
"imageUrl": "https://cdn.example.com/images/mobile-basic.png"
}
},
"porting": {
"msisdn": "<string>",
"scheduledAt": "2023-12-25"
},
"cancelledAt": "2023-11-07T05:31:56Z",
"metadata": {}
}
]
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}{
"message": "<string>",
"code": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"suggestion": "<string>"
}
],
"hint": "<string>"
}Update subscriber
Update the details of an existing subscriber.
Authorizations
An API key that grants access to the Connect API. You can create and manage API keys in the portal.
Headers
A unique key to ensure idempotency of requests. If a request with the same key has already been processed, the same result will be returned. The key must be unique for each distinct operation. Keys are expired after 24 hours, but we recommend using a new key for each request.
Modified requests with the same idempotency keys are rejected with a 409 Conflict status code.
256Path Parameters
The unique identifier of the subscriber.
Body
Request to update a subscriber's information.
The name of the subscriber.
The email address of the subscriber.
The address of the subscriber.
In the US, this refers to the E911 address associated with the subscriber's phone number, which is used for emergency services.
Show child attributes
Show child attributes
A set of key-value pairs that can be attached to an object for storing additional information in a semi-structured format.
Show child attributes
Show child attributes
Response
Subscriber updated successfully.
A subscriber is a person or entity that has a subscription.
The unique identifier of the subscriber.
The name of the subscriber.
Customer information embedded in responses. Sensitive details require separate API calls with appropriate authorization.
Show child attributes
Show child attributes
Optional email address of the subscriber.
The address of the subscriber. In the US, this refers to the E911 address associated with the subscriber's phone number, which is used for emergency services.
Show child attributes
Show child attributes
List of subscriptions associated with the subscriber.
Typically a subscriber has exactly one subscription, but in rare cases, a subscriber may have multiple subscriptions.
Show child attributes
Show child attributes